Bug 392571 - soft lockup with 2.6.23.8-61.fc8 on ThinkPad T42
soft lockup with 2.6.23.8-61.fc8 on ThinkPad T42
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-20 10:29 EST by Sammy
Modified: 2008-02-13 18:23 EST (History)
0 users

See Also:
Fixed In Version: 2.6.23.9-rc1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 18:23:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2007-11-20 10:29:31 EST
I just tested the 2.6.23.8-61.fc8 from Koji. It works fine on my desktop
but it is having soft lockups on my ThinkPad T42. 2.6.23.1-49.fc8 does
not have this. Here is what I see a number of times in /var/log/messages:

 BUG: soft lockup detected on CPU#0!
  [<c045a50f>] softlockup_tick+0xb6/0xc6
  [<c0434c3b>] update_process_times+0x3b/0x5e
  [<c0444788>] tick_sched_timer+0x78/0xbb
  [<c0440498>] hrtimer_interrupt+0x130/0x1bc
  [<c0444710>] tick_sched_timer+0x0/0xbb
  [<c04083f2>] timer_interrupt+0x2c/0x32
  [<c045a7af>] handle_IRQ_event+0x23/0x51
  [<c045bc43>] handle_level_irq+0x74/0xb9
  [<c045bbcf>] handle_level_irq+0x0/0xb9
  [<c04074c3>] do_IRQ+0x8c/0xb9
  [<c0481ba8>] sys_read+0x41/0x67
  [<c0405b6f>] common_interrupt+0x23/0x28
  =======================
#
Comment 1 Sammy 2007-11-20 10:48:13 EST
Here is the full report:

 BUG: soft lockup detected on CPU#0!
  [<c045a50f>] softlockup_tick+0xb6/0xc6
  [<c0434c3b>] update_process_times+0x3b/0x5e
  [<c0444788>] tick_sched_timer+0x78/0xbb
  [<c0440498>] hrtimer_interrupt+0x130/0x1bc
  [<c0444710>] tick_sched_timer+0x0/0xbb
  [<c04083f2>] timer_interrupt+0x2c/0x32
  [<c045a7af>] handle_IRQ_event+0x23/0x51
  [<c045bc43>] handle_level_irq+0x74/0xb9
  [<c045bbcf>] handle_level_irq+0x0/0xb9
  [<c04074c3>] do_IRQ+0x8c/0xb9
  [<c04f6d08>] copy_to_user+0x34/0x48
  [<c0405b6f>] common_interrupt+0x23/0x28
  [<c047208d>] arch_get_unmapped_area_topdown+0x8a/0x127
  [<c0472003>] arch_get_unmapped_area_topdown+0x0/0x127
  [<c04705f9>] get_unmapped_area_prot+0x60/0x90
  [<c0471dda>] do_mmap_pgoff+0xc0/0x2e9
  [<c0409044>] sys_mmap2+0x66/0xb7
  [<c040518a>] syscall_call+0x7/0xb
  =======================
 BUG: soft lockup detected on CPU#0!
  [<c045a50f>] softlockup_tick+0xb6/0xc6
  [<c0434c3b>] update_process_times+0x3b/0x5e
  [<c0444788>] tick_sched_timer+0x78/0xbb
  [<c0440498>] hrtimer_interrupt+0x130/0x1bc
  [<c0444710>] tick_sched_timer+0x0/0xbb
  [<c04083f2>] timer_interrupt+0x2c/0x32
  [<c045a7af>] handle_IRQ_event+0x23/0x51
  [<c045bc43>] handle_level_irq+0x74/0xb9
  [<c045bbcf>] handle_level_irq+0x0/0xb9
  [<c04074c3>] do_IRQ+0x8c/0xb9
  [<c0405b6f>] common_interrupt+0x23/0x28
  [<c0537f92>] acpi_idle_enter_simple+0x152/0x1c4
  [<c05a22b5>] cpuidle_idle_call+0x5c/0x7f
  [<c05a2259>] cpuidle_idle_call+0x0/0x7f
  [<c040340b>] cpu_idle+0xab/0xcc
  [<c073fa6c>] start_kernel+0x32c/0x334
  [<c073f177>] unknown_bootoption+0x0/0x195
  =======================
 BUG: soft lockup detected on CPU#0!
  [<c045a50f>] softlockup_tick+0xb6/0xc6
  [<c0434c3b>] update_process_times+0x3b/0x5e
  [<c0444788>] tick_sched_timer+0x78/0xbb
  [<c0440498>] hrtimer_interrupt+0x130/0x1bc
  [<c0444710>] tick_sched_timer+0x0/0xbb
  [<c04083f2>] timer_interrupt+0x2c/0x32
  [<c045a7af>] handle_IRQ_event+0x23/0x51
  [<c045bc43>] handle_level_irq+0x74/0xb9
  [<c045bbcf>] handle_level_irq+0x0/0xb9
  [<c04074c3>] do_IRQ+0x8c/0xb9
  [<c04041be>] __switch_to+0xcb/0x149
  [<c0405b6f>] common_interrupt+0x23/0x28
  [<c0554869>] nvram_read+0x4f/0xa4
  [<c043fe66>] hrtimer_try_to_cancel+0x5f/0x67
  [<c043fe78>] hrtimer_cancel+0xa/0x14
  [<c061e22c>] do_nanosleep+0x4f/0x73
  [<c043ffc2>] hrtimer_nanosleep+0x50/0xfc
  [<c055481a>] nvram_read+0x0/0xa4
  [<c048174a>] vfs_read+0xa6/0x158
  [<c0481ba8>] sys_read+0x41/0x67
  [<c040518a>] syscall_call+0x7/0xb
  =======================
 BUG: soft lockup detected on CPU#0!
  [<c045a50f>] softlockup_tick+0xb6/0xc6
  [<c0434c3b>] update_process_times+0x3b/0x5e
  [<c0444788>] tick_sched_timer+0x78/0xbb
  [<c0440498>] hrtimer_interrupt+0x130/0x1bc
  [<c0444710>] tick_sched_timer+0x0/0xbb
  [<c04083f2>] timer_interrupt+0x2c/0x32
  [<c045a7af>] handle_IRQ_event+0x23/0x51
  [<c045bc43>] handle_level_irq+0x74/0xb9
  [<c045bbcf>] handle_level_irq+0x0/0xb9
  [<c04074c3>] do_IRQ+0x8c/0xb9
  [<c0405b6f>] common_interrupt+0x23/0x28
  [<c05382a2>] acpi_idle_enter_bm+0x29e/0x31c
  [<c05a22b5>] cpuidle_idle_call+0x5c/0x7f
  [<c05a2259>] cpuidle_idle_call+0x0/0x7f
  [<c040340b>] cpu_idle+0xab/0xcc
  [<c073fa6c>] start_kernel+0x32c/0x334
  [<c073f177>] unknown_bootoption+0x0/0x195
  =======================
 BUG: soft lockup detected on CPU#0!
  [<c045a50f>] softlockup_tick+0xb6/0xc6
  [<c0434c3b>] update_process_times+0x3b/0x5e
  [<c0444788>] tick_sched_timer+0x78/0xbb
  [<c0440498>] hrtimer_interrupt+0x130/0x1bc
  [<c0444710>] tick_sched_timer+0x0/0xbb
  [<c04083f2>] timer_interrupt+0x2c/0x32
  [<c045a7af>] handle_IRQ_event+0x23/0x51
  [<c045bc43>] handle_level_irq+0x74/0xb9
  [<c045bbcf>] handle_level_irq+0x0/0xb9
  [<c04074c3>] do_IRQ+0x8c/0xb9
  [<c0405b6f>] common_interrupt+0x23/0x28
  [<c05382a2>] acpi_idle_enter_bm+0x29e/0x31c
  [<c05a22b5>] cpuidle_idle_call+0x5c/0x7f
  [<c05a2259>] cpuidle_idle_call+0x0/0x7f
  [<c040340b>] cpu_idle+0xab/0xcc
  [<c073fa6c>] start_kernel+0x32c/0x334
  [<c073f177>] unknown_bootoption+0x0/0x195
  =======================
 BUG: soft lockup detected on CPU#0!
  [<c045a50f>] softlockup_tick+0xb6/0xc6
  [<c0434c3b>] update_process_times+0x3b/0x5e
  [<c0444788>] tick_sched_timer+0x78/0xbb
  [<c0440498>] hrtimer_interrupt+0x130/0x1bc
  [<c0444710>] tick_sched_timer+0x0/0xbb
  [<c04083f2>] timer_interrupt+0x2c/0x32
  [<c045a7af>] handle_IRQ_event+0x23/0x51
  [<c045bc43>] handle_level_irq+0x74/0xb9
  [<c045bbcf>] handle_level_irq+0x0/0xb9
  [<c04074c3>] do_IRQ+0x8c/0xb9
  [<c0405b6f>] common_interrupt+0x23/0x28
  [<c05382a2>] acpi_idle_enter_bm+0x29e/0x31c
  [<c05a22b5>] cpuidle_idle_call+0x5c/0x7f
  [<c05a2259>] cpuidle_idle_call+0x0/0x7f
  [<c040340b>] cpu_idle+0xab/0xcc
  [<c073fa6c>] start_kernel+0x32c/0x334
  [<c073f177>] unknown_bootoption+0x0/0x195
  =======================
Comment 2 Chuck Ebbert 2007-11-20 12:06:58 EST
Fix is commit a3b13c23f186ecb57204580cc1f2dbe9c284953a

Thread on lkml:
http://lkml.org/lkml/2007/11/17/127
Comment 3 Sammy 2007-11-20 15:01:08 EST
I have rebuilt the F8 kernel mentioned above by adding in 2.6.23.9-rc1
patch and I am no longer getting the soft lockups on ThinkPad T42.
Thanks

Note You need to log in before you can comment on or make changes to this bug.